Bug 143623 - FILESAVE XLSX Named range as chart data source not saved
Summary: FILESAVE XLSX Named range as chart data source not saved
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0
Keywords:
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2021-07-30 11:25 UTC by NISZ LibreOffice Team
Modified: 2021-09-08 09:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Excel (14.23 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-07-30 11:25 UTC, NISZ LibreOffice Team
Details
The original file saved by Calc (7.98 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-07-30 11:26 UTC, NISZ LibreOffice Team
Details
Axis label data source setting in the original file (48.24 KB, image/png)
2021-07-30 11:29 UTC, NISZ LibreOffice Team
Details
Axis label data source setting in the Calc-saved file when opened in Excel (47.58 KB, image/png)
2021-07-30 11:29 UTC, NISZ LibreOffice Team
Details
Data series name and values setting in the original file (40.52 KB, image/png)
2021-07-30 11:30 UTC, NISZ LibreOffice Team
Details
Data series name and values setting in the Calc-saved file when opened in Excel (42.79 KB, image/png)
2021-07-30 11:30 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-07-30 11:25:28 UTC
Created attachment 173970 [details]
Example file from Excel

This is followup to bug 64086
Attached file contains a chart with named ranges used to specify its data ranges.
These are imported incorrectly and when saved to XLSX with Calc the named ranges are not used as the charts data ranges.

Steps to reproduce:
    1. Open attached document
    2. Save as XLSX
    3. Reopen the file in Excel

Actual results:
The chart has incorrect data ranges set.
As a result the X axis labels change from a, b, c, d to 1, 2, 3, 4.
Changing the data in A2:A6 or B2:B6 has no effect on the chart display.

Expected results:
The data ranges of the chart should refer to the named ranges.
Changing the data in A2:A6 or B2:B6 should have an effect on the chart display.

LibreOffice details:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: ac80ec817eb07c77a51bc0729985a473c734182e
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-07-30 11:26:03 UTC
Created attachment 173971 [details]
The original file saved by Calc
Comment 2 NISZ LibreOffice Team 2021-07-30 11:29:32 UTC
Created attachment 173972 [details]
Axis label data source setting in the original file
Comment 3 NISZ LibreOffice Team 2021-07-30 11:29:49 UTC
Created attachment 173973 [details]
Axis label data source setting in the Calc-saved file when opened in Excel
Comment 4 NISZ LibreOffice Team 2021-07-30 11:30:07 UTC
Created attachment 173974 [details]
Data series name and values setting in the original file
Comment 5 NISZ LibreOffice Team 2021-07-30 11:30:22 UTC
Created attachment 173975 [details]
Data series name and values setting in the Calc-saved file when opened in Excel
Comment 6 Commit Notification 2021-08-09 17:33:25 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/233286df08aeedb4e228fd523365b94543b16fca

tdf#64086 tdf#143623 tdf#66250 XLSX: fix named ranges in charts

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 NISZ LibreOffice Team 2021-09-08 09:59:30 UTC
Verified in:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 8151f3a1d99ab740d2affdccc7115faa156bf3ad
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded